Bug 30229 - Обновить драйвера
Summary: Обновить драйвера
Status: NEW
Alias: None
Product: Sisyphus
Classification: Development
Component: kernel-source-bcmwl (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: Konstantin A Lepikhov (L.A. Kostis)
QA Contact: qa-sisyphus
URL:
Keywords:
: 26854 30597 30617 (view as bug list)
Depends on: 30617
Blocks: 30940
  Show dependency tree
 
Reported: 2014-08-14 12:15 MSK by Alexander Shemetov
Modified: 2023-01-27 00:30 MSK (History)
17 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Shemetov 2014-08-14 12:15:33 MSK
https://bugzilla.altlinux.org/show_bug.cgi?id=29220

http://www.broadcom.com/support/802.11/linux_sta.php

На ядрах 3.12.xx как-то странно стало работать http://forum.altlinux.org/index.php/topic,32306.msg227402.html#msg227402, на 3.12.25 и выше вообще не заводится.
Comment 1 Michael Shigorin 2014-08-15 13:26:12 MSK
На un-def часом не проверяли?
Comment 2 Alexander Shemetov 2014-08-15 13:32:22 MSK
(В ответ на комментарий №1)
> На un-def часом не проверяли?

В это раз проверил :) -- НЕ работает.
Comment 3 Alexander Shemetov 2014-09-04 16:55:27 MSK
Скучно без Wi-Fi... соберите, пожалуйста, новую версию.
На одном буке кроме un-def ничего нормально не работает, а Wi-Fi работает только под 3.10.xx...
Comment 4 Michael Shigorin 2014-09-04 17:09:56 MSK
А на 3.16?..
Comment 5 Alexander Shemetov 2014-09-04 17:47:14 MSK
(В ответ на комментарий №4)
> А на 3.16?..

Для p7 можно попросить тестовое задание сделать ?
Comment 6 Gleb F-Malinovskiy 2014-09-04 18:07:36 MSK
(In reply to comment #5)
> (В ответ на комментарий №4)
> > А на 3.16?..
> 
> Для p7 можно попросить тестовое задание сделать ?

Всё равно копирование будет.
По идее, вы можете просто переключиться на Sisyphus, сделать update-kernel и переключиться обратно на p7. Ничего страшного от этого не произойдёт.
Comment 7 Alexander Shemetov 2014-09-05 07:42:03 MSK
(В ответ на комментарий №6)
> Всё равно копирование будет.
> По идее, вы можете просто переключиться на Sisyphus, сделать update-kernel и
> переключиться обратно на p7. Ничего страшного от этого не произойдёт.

Не получается:

# apt-repo
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
rpm [alt] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64-i586 classic

# apt-get update
Получено: 1 http://ftp.altlinux.org x86_64 release [914B]
Получено: 2 http://ftp.altlinux.org noarch release [708B]
Получено: 3 http://ftp.altlinux.org x86_64-i586 release [573B]
Получено 2195B за 0s (36,1kB/s).
Найдено http://ftp.altlinux.org x86_64/classic pkglist
Найдено http://ftp.altlinux.org x86_64/classic release
Найдено http://ftp.altlinux.org noarch/classic pkglist
Найдено http://ftp.altlinux.org noarch/classic release
Найдено http://ftp.altlinux.org x86_64-i586/classic pkglist
Найдено http://ftp.altlinux.org x86_64-i586/classic release
Чтение списков пакетов... Ошибка!
E: Dynamic MMap ran out of room
E: При обработке libgtk+3 (NewVersion1) возникла ошибка
E: Ошибка с MergeList /var/lib/rpm/Packages
E: Невозможно прочитать список пакетов или файл статуса.
Comment 8 Gleb F-Malinovskiy 2014-09-05 11:55:10 MSK
(In reply to comment #7)
> Чтение списков пакетов... Ошибка!
> E: Dynamic MMap ran out of room
> E: При обработке libgtk+3 (NewVersion1) возникла ошибка
> E: Ошибка с MergeList /var/lib/rpm/Packages
> E: Невозможно прочитать список пакетов или файл статуса.

Это старая ошибка apt. Дело в том, что он устроен так, что он не может динамически
Comment 9 Gleb F-Malinovskiy 2014-09-05 11:57:54 MSK
(In reply to comment #8)
> (In reply to comment #7)
> > Чтение списков пакетов... Ошибка!
> > E: Dynamic MMap ran out of room
> > E: При обработке libgtk+3 (NewVersion1) возникла ошибка
> > E: Ошибка с MergeList /var/lib/rpm/Packages
> > E: Невозможно прочитать список пакетов или файл статуса.
> 
> Это старая ошибка apt. Дело в том, что он устроен так, что он не может
> динамически

выделять память. В общем, вам нужно сказать ему сразу выделять много памяти.
Например, я написал в /etc/apt/apt.conf:
APT::Cache-Limit "134217728";

Но в таком случае apt будет выделять 128 мегабайт памяти всегда.
Comment 10 Alexander Shemetov 2014-09-09 18:52:19 MSK
Ничего не изменилось, Wi-Fi не работает. Установил 3.16.1.
Comment 11 Alexander Shemetov 2014-09-11 09:55:46 MSK
Нащупал решение.
1. В /etc/modules добавить wl
2. В терминале выполнить modprobe wl
3. Перезагрузить ПК

После перезагрузки Wi-Fi начинает работать.
Проверил на ядрах un-def -- 3.15.x и 3.16.1.
OS Simply 7 x64 p7
Comment 12 Michael Shigorin 2014-09-12 03:04:24 MSK
А до этого какой модуль грузился?
Comment 13 Alexander Shemetov 2014-09-12 08:03:29 MSK
(В ответ на комментарий №12)
> А до этого какой модуль грузился?

bcma-pci-bridge

Признаться, и сейчас ни всё так гладко, такое ощущение, что какие-то чудеса происходят. То на одном ядре работает, то на другом... Я на 3.14.17-std-def-alt1 смотрю, при загрузке Wi-Fi работает после 16 из 20 перезагрузок. То есть я 20 раз включаю бук и в 16 попытках Wi-Fi работает, загружается wl, в остальных 4-х Wi-Fi не работает и загружается при этом bcma-pci-bridge.
У меня вообще 3 бука в модулем BCM43142, один Lenovo B590 и два ASUS X551M, дак вот, на один ASUS я систему ставил раньше, соответственно там есть установленное ядро 3.15.10-un-def, там работает и на 3.16.1-un-def, а на второй такой же ASUS вчера поставил систему, тут уже только 3.16.1-un-def -- и не работает (вообще никак не могу заставить, хотя бы через раз), зато работает с 3.14.17-std-def. На Lenovo работает на 3.15.10-un-def. Вот такие чудеса... Но на всех буках, на любом ядре выше 3.10.x может просто не загрузиться модуль wl, без какой-то конкретной причины.
Подытожу: Wi-Fi работает через раз, на всех ядрах выше 3.10.x.
Comment 14 Alexander Shemetov 2014-09-12 13:24:57 MSK
Расширил зону blacklist, на основе http://ru.opensuse.org/SDB:Broadcom_Bcm43xx#broadcom-wl, получилось так:

$ cat /etc/modprobe.d/blacklist-bcm.conf 
blacklist bcm43xx
blacklist ssb
blacklist b43
blacklist b44
blacklist b43legacy
blacklist bcma
blacklist brcmsmac
blacklist bcma-pci-bridge

Из /etc/modules убрал wl.
Теперь на любом ядре на обоих буках (ASUS, Lenovo) Wi-Fi работает нормально. Пока ни разу при включении не было такого, чтобы загрузился bcma-pci-bridge. Тьфу-тьфу-тьфу.

Может быть просто достаточно расширить blacklist ?

02:00.0 Network controller: Broadcom Corporation BCM43142 802.11b/g/n (rev 01)
	Subsystem: Lite-On Communications Inc Device 6605
	Kernel driver in use: wl
Comment 15 Alexander Shemetov 2014-12-30 08:47:07 MSK
(В ответ на комментарий №14)
> blacklist bcma-pci-bridge

Вот этот можно убрать.
Без него тоже всё прекрасно работает.
Всё это время пользуюсь этим blacklist-ом, проблем не было.
Comment 16 Michael Shigorin 2015-03-30 16:05:41 MSK
*** Bug 30597 has been marked as a duplicate of this bug. ***
Comment 17 Michael Shigorin 2015-03-30 16:10:42 MSK
Похоже, удалось воспроизвести -- подобный броадком на LXBOX3, на 6.0.x работает, на 7.0.x для 14e4:4359 загрузился bcma.ko (странно, в /etc/modprobe.d/blacklist-bcm2.conf "bcma" фигурирует) -- если его выгрузить и загрузить вручную wl, то wifi поднимается и работает.
Comment 18 Michael Shigorin 2015-03-30 16:41:21 MSK
*** Bug 26854 has been marked as a duplicate of this bug. ***
Comment 19 Michael Shigorin 2015-03-30 21:20:32 MSK
*** Bug 30617 has been marked as a duplicate of this bug. ***
Comment 20 Michael Shigorin 2015-04-02 13:54:33 MSK
Покажите-ка состав /etc/modules и /etc/modprobe.d/blacklist-bcm2.conf .

Взял school junior (оказалось ядро 3.10.32), там в kernel-modules-bcmwl-std-def был ещё только /etc/modprobe.d/blacklist-bcm.conf на bcm43xx, ssb, b43; ничего иного не трогая, сделал apt-get update; update-kernel и перезагрузил.

Получил загруженный wl и незагруженный bcma/bcma-pci-bridge.
Несколько раз перезагрузил для проверки -- эффект устойчивый.
Это чип 14e4:4359.

Попробую ещё на centaurus, к которому относился comment 17.

Тем не менее может иметь смысл вынести из kernel-image в подпакет (или вообще):
kernel/drivers/bcma/
kernel/drivers/usb/host/bcma-hcd.ko
-- есть ощущение, что это для встройки (где и встретился brcmfmac, "родственником" которого является brcmsmac).
Comment 21 Alexander Shemetov 2015-04-26 22:36:23 MSK
(В ответ на комментарий №20)
> Покажите-ка состав /etc/modules и /etc/modprobe.d/blacklist-bcm2.conf .

Это ко мне ? Завтра могу привести вывод файлов.
Comment 22 Michael Shigorin 2015-06-18 17:42:37 MSK
(В ответ на комментарий №14)
> $ cat /etc/modprobe.d/blacklist-bcm.conf 
[...]
> blacklist b43
> blacklist b44
См. тж. https://bugzilla.altlinux.org/31080
Comment 23 Michael Shigorin 2016-05-27 14:38:46 MSK
(In reply to comment #17)
> Похоже, удалось воспроизвести -- подобный броадком на LXBOX3, на 6.0.x
> работает, на 7.0.x для 14e4:4359 загрузился bcma.ko (странно, в
> /etc/modprobe.d/blacklist-bcm2.conf "bcma" фигурирует) -- если его выгрузить и
> загрузить вручную wl, то wifi поднимается и работает.
Нарвался на это же самое с basealt-p8-cinnamon-20160429-x86_64.iso
и BCM43142 82.11b/g/n [14e4:4365] (грузятся bcma и wl, интерфейс отсутствует;
rmmod bcma wl && modprobe wl ситуацию исправляют), при этом под School Junior 7.0.5 беспроводный интерфейс поднимается без дополнительных действий.
Comment 24 Michael Shigorin 2017-09-23 11:15:01 MSK
(В ответ на комментарий №20)
> Тем не менее может иметь смысл вынести из kernel-image в подпакет (или вообще):
> kernel/drivers/bcma/
> kernel/drivers/usb/host/bcma-hcd.ko
> -- есть ощущение, что это для встройки (где и встретился brcmfmac,
> "родственником" которого является brcmsmac).

ping
Comment 25 Konstantin A Lepikhov (L.A. Kostis) 2023-01-27 00:30:45 MSK
Изменилось ли что-то после обновления версии kernel-source-bcmwl в сизифе?